/***********************************
* Copyright 1998 by Kevin MacDonald
* kmacdo01@student.vill.edu
***********************************/

/***********************************
* This is the header file for the 
* main data structure.
***********************************/

#ifndef TABH
#define TABH

#include <qwidget.h>
#include <qpixmap.h>
#include <qpopmenu.h>
#include <qevent.h>
#include <stdio.h>
#include <stdlib.h>
#include <iostream.h>
#include <fstream.h>
#include <qapp.h>
#include <qlayout.h>
#include <qdbt/qdbttabular.h>
#include <qdbt/qdbttabcell.h>
#include <qdbt/qdbtsection.h>
#include "extweath.h"
#include "tabu.h"
#include <qstring.h>
#include <qfont.h>

class Table : public QWidget
{
  Q_OBJECT

  public:
    Table(QWidget *parent=0, const char *name=0, WFlags f=0);
    ~Table();
    addRow(char *city="?", char *temp="?", char *hum="?", char *press="?",
	char *wind="?", char *weath="?");
    removeRow(int);
  protected:
    tabu *tabular;
    setCell(int row=0, int colnum=0, char *text="?", int width = 120); 
    void resizeEvent(QResizeEvent *);
    extweath *j;
    QPopupMenu *popup;
    int current, uptime;

  protected slots:
    rowActive(int row=0);
    resizeThis();
    captionChange(char *, char *);
};

#endif
  
